%global srcname webcolors

Name:           python-%{srcname}
Version:        1.4
Release:        1%{?dist}
Summary:        A library for working with HTML and CSS color names and value formats

License:        BSD
URL:            http://www.bitbucket.org/ubernostrum/webcolors/overview/
Source0:        https://pypi.python.org/packages/source/w/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:        description-%{srcname}.txt

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel

%description
%(cat %{SOURCE1})


%package -n python3-%{srcname}
Summary:        %{summary}


%description -n python3-%{srcname}
%(cat %{SOURCE1})

This package installs the %{srcname} module for Python 3.


%prep
%setup -q -n %{srcname}-%{version}

rm -rf %{py3dir}
cp -a . %{py3dir}


%build
%{__python2} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd


%files
%doc PKG-INFO LICENSE README
%{python2_sitelib}/%{srcname}*


%files -n python3-%{srcname}
%{_pkgdocdir}
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{srcname}*


%changelog
* Mon Dec 09 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.4-1
- Initial spec
